osmium::builder::NodeRefListBuilder< T > Class Template Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::NodeRefListBuilder< T >:
[legend]
Collaboration diagram for osmium::builder::NodeRefListBuilder< T >:
[legend]

## Public Member Functions

| NodeRefListBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| ~NodeRefListBuilder ()
void | add_node_ref (const NodeRef &node_ref)
void | add_node_ref (const object_id_type ref, const osmium::Location &location=Location{})
Public Member Functions inherited from osmium::builder::ObjectBuilder< T >
| ObjectBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
T & | object () noexcept
void | add_user (const char *user, const string_size_type length)
void | add_user (const char *user)
void | add_user (const std::string &user)
Public Member Functions inherited from osmium::builder::Builder
void | add_padding (bool self=false)
void | add_size (uint32_t size)
uint32_t | size () const noexcept
void | add_item (const osmium::memory::Item *item)
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)
osmium::memory::item_size_type | append_zero ()
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using. More...

## Additional Inherited Members

Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder ()=default
osmium::memory::Item & | item () const

## Constructor & Destructor Documentation

template<typename T >

osmium::builder::NodeRefListBuilder< T >::NodeRefListBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = `nullptr`
| ) |  |

inline explicit

template<typename T >

osmium::builder::NodeRefListBuilder< T >::~NodeRefListBuilder | ( |  | ) |

inline

## Member Function Documentation

template<typename T >

void osmium::builder::NodeRefListBuilder< T >::add_node_ref | ( | const NodeRef & | node_ref | ) |

inline

template<typename T >

void osmium::builder::NodeRefListBuilder< T >::add_node_ref | ( | const object_id_type | ref,
|  | const osmium::Location & | location = `Location{}`
| ) |  |

inline

The documentation for this class was generated from the following file:

- osmium/builder/osm_object_builder.hpp